oracle.adf.view.rich.model

## Class AutoSuggestBehaviorConfig

- java.lang.Object
- - oracle.adf.view.rich.model.AutoSuggestBehaviorConfig

-     public abstract class AutoSuggestBehaviorConfig
      extends Object

  This is an abstract class for auto suggest behavior implementations and has different abstract methods to retrieve the required metadata.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoSuggestBehaviorConfig()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract javax.el.ValueExpression` | `getMaxSuggestedItems()` Return maxSuggestedItems as ValueExpression object.
    `abstract javax.el.ValueExpression` | `getMinChars()` Return minChars as ValueExpression object.
    `abstract javax.el.ValueExpression` | `getSmartList()` Return smartList as ValueExpression object.
    `abstract javax.el.MethodExpression` | `getSuggestItems()` Return suggestItems as MethodExpression object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoSuggestBehaviorConfig

          public AutoSuggestBehaviorConfig()

  - ### Method Detail

    - #### getMinChars

          public abstract javax.el.ValueExpression getMinChars()

      Return minChars as ValueExpression object. The value should be of type Integer.
      Returns:
        minChars as ValueExpression object

    - #### getMaxSuggestedItems

          public abstract javax.el.ValueExpression getMaxSuggestedItems()

      Return maxSuggestedItems as ValueExpression object. The value should be of type Integer.
      Returns:
        maxSuggestedItems as ValueExpression object

    - #### getSuggestItems

          public abstract javax.el.MethodExpression getSuggestItems()

      Return suggestItems as MethodExpression object.
      - The method expression should point to the java method which returns List<javax.model.SelectItem> of the suggestedItems.
      - The method signature should be of the form List<javax.model.SelectItem> suggestItems(javax.faces.context.FacesContext, oracle.adf.view.rich.model.AutoSuggestUIHints)
      Returns:
        suggestItems as MethodExpression object

    - #### getSmartList

          public abstract javax.el.ValueExpression getSmartList()

      Return smartList as ValueExpression object.
      - The value expression should point to the java method which returns List<javax.model.SelectItem> of the smart list items.
      Returns:
        smartList as ValueExpression object

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.